import { expect, expectAsync, tap } from '@push.rocks/tapbundle';
import * as opendata from '../ts/index.js'

let testOpenDataInstance: opendata.OpenData;

tap.test('first test', async () => {
  testOpenDataInstance = new opendata.OpenData();
  expect(testOpenDataInstance).toBeInstanceOf(opendata.OpenData);
});

tap.test('should start the instance', async () => {
  await testOpenDataInstance.start();
})

tap.test('should get the data for a company', async () => {
  const result = await testOpenDataInstance.handelsregister.getDataForCompany('Volkswagen'); 
  console.log(result);
});

tap.test('should stop the instance', async () => {
  await testOpenDataInstance.stop();
});


tap.start()
